Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyAbstractableElementDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

-     public class SimpleGroovyAbstractableElementDoc
      extends SimpleGroovyProgramElementDoc

  Base implementation for documented elements that can carry the `abstract` modifier.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyAbstractableElementDoc(String name)` Creates a documented element with the supplied name.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `isAbstract()` Indicates whether this element is abstract.
    `` | `public void` | `setAbstract(boolean b)` Sets whether this element is abstract.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyAbstractableElementDoc(String name)

      Creates a documented element with the supplied name.

      Parameters:
        `name` - the element name

  - ### Method Detail

    - #### public boolean isAbstract()

      Indicates whether this element is abstract.

      Returns:
        `true` if the element is abstract

    - #### public void setAbstract(boolean b)

      Sets whether this element is abstract.

      Parameters:
        `b` - `true` if the element is abstract